Name:           perl-MRO-Compat
Version:        0.13
Release:        9
Summary:        mro::* interface compatibility for Perls < 5.9.5
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MRO-Compat
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/MRO-Compat-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl(ExtUtils::MakeMaker) perl perl-generators make findutils coreutils perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The "mro" namespace provides several utilities for dealing with method
resolution order and method caching in general in Perl 5.9.5 and higher.

This module provides those interfaces for earlier versions of Perl (back
to 5.6.0 anyways).

It is a harmless no-op to use this module on 5.9.5+. That is to say,
code which properly uses MRO::Compat will work unmodified on both older
Perls and 5.9.5+.

If you're writing a piece of software that would like to use the parts
of 5.9.5+'s mro:: interfaces that are supported here, and you want 
compatibility with older Perls, this is the module for you.

%package_help

%prep
%autosetup -n MRO-Compat-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README t/
%{perl_vendorlib}/MRO/

%files help
%doc Changes
%{_mandir}/man3/MRO::Compat.3*

%changelog
* Fri Jan 10 2020 lihao129 <lihao129@huawei.com> - 0.13-9
- Change source url

* Fri Dec 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.13-8
- Package init

* Thu Dec 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.13-7
- Package init
